Welcome to use VIA Raid Tool

Welcome to use VIA V-RAID

By using VIA V-RAID, you can access to different RAID functions efficiently.

RAID is the abbreviation for "Redundant Arrays of Inexpensive Disks". There are various RAID disk array types such as RAID 0 (striping), RAID 1(Mirroring), RAID 0+1(Striping and Mirroring), RAID 5 (striping with parity) ... etc. Compared with single disk, some types of RAID array can enhance fault-tolerant ability (like RAID 1), some types of RAID can raise disk I/O speed (like RAID 0) and some of them can achieve both (like RAID 0+1). VIA V-RAID implements main RAID functions in conjunction with the hardware, hence it's very easy for you to achieve RAID functions using VIA V-RAID.

Getting started with VIA V-RAID

Using VIA V-RAID


Getting Started

VIA V-RAID is currently implemented with four main RAID types: RAID 0 (striping), RAID 1 (mirroring), RAID 0+1 (striping & mirroring) and Span (just a bunch of disks).

 You can configure RAID functions by this GUI tool or the tool provided in BIOS. To use this GUI tool, just run the raid_tool.exe program, double click the program icon [image] on desktop task bar [image] to show the program window, and then do the corresponding configuration works.

The Application Window

Functions Overview


The Application Window

Following is the main window of VIA V-RAID:

Show/Hide application's main window:

To hide the main window, you can click the “Close Window”( [image]) button on the upper-high corner of the main window.

To minimize the main window, you can click the “Minimize” ( [image]) button on the upper-high corner of the main window.

To exit VIA V-RAID, you can right click application’s task bar icon ( [image] ) and select Exit Program.

Layout of application's main window:

There are three blocks in the main window:

1st block on the top-left corner, present a current system tree of disk arrays and disks not in any array. It also shows a tree that displays RAID controllers, IDE channels and the physical locations of all disks. You can shift these two trees in this block by click the buttons named “Device” ( [image]) and “Controller” ( [image]) . These two trees are Array View/Tree (view by devices) and Controller View/Tree (view by controller) respectively.

The application window above is an example of the Array View/Tree, and the window beneath is an example of the Controller View/Tree.

The 2nd block, named “Information”, on in the right area show detailed information for the currently tree item selected in the 1st block, such as information of a disk, a RAID controller and etc.

 The 3rd block, named “Operation”, on the bottom-left corner, presents main functions of this VIA V-RAID tool.

Main functions:

By VIA V-RAID, you can create various types of RAID disk arrays, remove disk arrays, add/remove spare...etc. Further details for these features are presented in the following Functions Overview.


RAIT type supported

RAID Type supported by VIA controllers

Relationship between RAID controller and RAID type:

 | RAID0 (Stripe) | RAID1 (Mirror) | RAID JBOD (SPAN) | RAID5 | RAID 0+1
VT8237S | Y | Y | Y | - | -
VT8251 | Y | Y | Y | Y | Y
VT8237A | Y | Y | Y | - | -
CX700/VX700 | Y | Y | Y | - | -
VT8237 | Y | Y | Y | - | -
VT8237R | Y | Y | Y | - | -
VT6420 | Y | Y | Y | - | -
VT6421 | Y | Y | Y | - | Y
VT6410 | Y | Y | Y | - | Y
VX800 | Y | Y | Y | - | -


Disk Requirement

Disk Requirement by RAID Type

Relationship between RAID type and number of disks:

RAID Type | Disk Number(Needed at least)
RAID0 (Stripe) | 2
RAID1 (Mirror) | 2
RAID JBOD (SPAN) | 2
RAID5 | 3
RAID 0+1 | 4


Functions Overview

Create Array:

To create a RAID disk array, you can click on “Create Array” ( [image]) in the Operation block. If the number of available free disks is enough for a RAID mode, you can finish your creation. When free disks (disks not in any disk array) are selected to create a disk array, original data on these disks maybe lost, so be sure these data will never be needed or conduct necessary back-ups. Click following links to get the details for creating specific type of disk array:

The steps of Create Array are included in a wizard method, what you have to do are select the items you want step by step.

Create Mirror Array (RAID 1)

Create Stripe Array (RAID 0)

Create RAID 0+1

Create Span Array (JBOD)

Create RAID 5

Note:
You can only use disks attached on the same RAID controller to create a disk array. If there are more than one RAID controllers on current system, this VIA V-RAID will firstly prompt you to select a host RAID controller before creating any new disk array.

Remove Array:
 To remove a disk array, you can click on “Remove Array” ( [image]) in the Operation block. If there are arrays in current system, you can finish your removing. You can also remove an array by shifting top-left block to device tree, right-clicking the upper-most level array node and clicking Remove Array on the pop-up shortcut menu.

For more details, please refer to Remove Array.

Add/Remove Spare:

This function is specified for RAID1 (Mirroring) disk array. A Spare disk is a special array disk that will be used to replace the Source or Mirror disk when one of them meets disk failure.

To Add a Spare disk to or Remove Spare from a RAID1 disk array, you can click “Add/ Remove Spare” ( [image]) in the Operation block. If there are RAID1 arrays in the current system, the “Add/ Remove Spare” wizard will guide you to finish this operation. You can also shift the top-left block of main application window to Array View/Tree, select the upper-most level tree node of the RAID 1 array and right click the array node and click Add/Remove Spare on the pop-up shortcut menu.

 For more details, please refer to Add/Remove Spare.

Synchronize Mirror Disk:

 Synchronize Mirror Disk forces data on the mirror disk to be identical with the source disk by copying the data from the one with newer data to the other disk.

Note that the source disk does not always have the latest data.

 For more details, please refer to Synchronize Mirror Disk.

Repair Broken Disk Array:

 If some disk(s) in a disk array can not work any more (due to disk failure or disk absence), the disk array will be in broken status. At this time, the array's icon in the Array View will looks like [image].

To repair the broken disk array, right click the array icon and click Repair Broken Array on the pop-up shortcut menu.

 Note that the Spare disk in a RAID1 array is only a replacement disk in case of a Source or Mirror disk failure. So the failure or absence of a Spare disk does not affect the RAID1 array.

 For more details, please refer to Repair Broken Array.

Check All Disks:

You can check if all hard disks work normally by executing the Check All Disks command.

To execute the command, you can click on “Check All disks” ( [image]) in the Operation block.

For more details, please refer to Check All Disks

View Event Log:

Main application events such as Create Disk Array, Remove Disk Array... etc., will be recorded in a log file.

To view the log, you can click on “View Event Log” ( [image]) in the Operation block.

For more details, please refer to View Event Log.

VIA V-RAID Help:
 You can open this VIA V-RAID help file by clicking “VIA V-RAID Help” ( [image] ) in the Operation block. You can also press F1 to open this file.

For more details, please refer to VIA V-RAID Help .

Rescan Array Status:
 This function is used to scan the array status of existing disk arrays. To see status of the existing arrays, you can click “Rescan Array Status” ( [image]) in the Operation Block.

If there are some disk arrays in current system, the array status summary will be listed in the Information Block.

 For more details, please refer to Rescan Array Status .


Using VIA Raid Tool

Using VIA V-RAID

Create Mirror Array (RAID 1)

Create Stripe Array (RAID 0)

Create RAID 0+1

Create Span Array (JBOD)

Create RAID5

Remove Array

Add/Remove Spare

Synchronize Mirror Disk

Repair Broken Array

Check All Disks

View Event Log

VIA V-RAID Help

Rescan Array Status


Create Mirror Array

Create Mirror Array (RAID 1)

Mirror Array is also called RAID 1; it provides 100% data redundancy. No rebuild is necessary in case of a disk failure, simply copy data from the remaining healthy disk to the replacement disk.

You can specify a disk as the auto-selected replacement disk for a Mirror Array; this replacement disk is called Spare Disk.

To add/remove Spare Disk for a Mirror Array, please refer to Add/Remove Spare. You can also select an ordinary disk to replace the failed disk in a Mirror Array, instead of using a Spare Disk for auto-replacement.

To create a Mirror disk array, click “Create Array” ( [image]) in the Operation block; and the following steps will guide you to finish this operation.

If the number of available free-disk is enough to create an array, the following steps will appear as soon as you click “Create Array”.

Step #1: Select RAID mode

In this step, the “RAID Mode” block will list all available RAID type according to the number of available free-disk. You may select one type by clicking corresponding item and goon to next step by clicking “Next >>”.

Step #2: Select Controller & Creating Method

 In this step, you can select a controller to create array. As soon as you select one controller, the disks you will select for this array will be limited on this controller.

 Also, you have to select the creation method in this step. Selecting “Auto”, the tool will select array disks for you, and you needn’t do anything. Selecting “Custom”, tool will list all available disks in the available disks list, and you have to select disks for the array manually.

Of cause, you may adjust the selected disks manually in both cases.

Step #3: Select array disks

In this step, you have to select the disks for the array you are creating.

To add a disk into array, please select an available disk from the left side list, then click [image] button (or press Right-Arrow key). Array disks will be added in the order of Source, Mirror and Spare disk. A Spare disk can also be added or removed after a Mirror array is created, please refer to Add/Remove Spare for details.

To remove a disk from array, please click the array disk, then click [image] button (or press Left-Arrow key).

Whenever a disk (array disk or available disk) is selected, its capacity and physical location will be shown in the bottom-left corner

Principles to select Mirror Array disk:

 1, Try to select disks in different channels. If you select 'Auto' array-creating method (see the “Select array disks” in step #3), application will do this for you. The physical location of the disks can be adjusted manually after the system shuts down.
2, It should be taken into account that a disk whose capacity is too much different with other array disks should not be selected, or else the extra space on larger array disks will be wasted. The reason is that for each Mirror Array disk, its effective capacity (real capacity) will always be the smallest data capacity among all array disks

Step #4: Keep OS data information (Optional)

 When you selected the disk on which the Operating System is running to create a RAID array, the following information will be prompted to inform you that tool will keep the OS disk data for you.

Step #5: Keep source data information (Optional)

 If you didn’t select the disk on which the Operating System is running to create a RAID array, the following information will be prompted to allow you keeping the data on the source disk.

Step #6: Final confirmation

This is final step to create an array.

 As soon as you click the “Next >>” button, the data on the hardware disk maybe destroyed permanently. So please do confirm your data, and backup the important data before clicking “Next >>” button. Once you click the “Next >>” button, you cannot go back to re-do this any longer.

Step #7: Successful Information

After finishing the Step#6, you haven’t any chance to re-do this creation. This step informs you that you have create an array successfully.

 There are several possible steps following. For example, message boxes maybe pop up to ask for confirmation and prompt system reboot. System must be rebooted to enable the newly created Mirror array. Another example, message box maybe pop up to ask for synchronization.

Mirror Disk Synchronized flag
Refer to the above Step #4/ #5, if you have chosen to keep the source data or selected the Operation System disk to create this array, the Mirror disk and the Mirror Array will be marked with a need-sync status.

Check the box in Step #5, if you think the data on Source disk are important. Then, the source data will be kept in both source disk and mirror disk, at the cost of original mirror data.

If you don’t check the box in Step #5, the data on Source disk and Mirror disk will be destroyed.

 If you have selected the Operating System disk to create an array, it’s mandatory to use it as the source disk and keep its data, to protect your Operating System. In this case,

Step #4 will appear to inform you and Step#5 won’t appear any more.


Create Stripe Array

Create Stripe Array (RAID 0)

Stripe Array is also called RAID 0, it implements a striped disk array and the data is broken down into blocks in which each block is written to a separate disk drive. I/O performance is greatly improved by spreading the I/O load across many channels and drives. Best performance is achieved when data is striped across multiple channels with only one drive per channel.

RAID 0 is not a "True" RAID because it is NOT fault-tolerant. The failure of just one drive will result in all data in an array being lost. It should never be used in mission critical environments.

To create a Stripe disk array, click “Create Array” ( [image]) in the Operation block; and the following steps will guide you to finish this operation.

If the number of available free-disk is enough to create an array, the following steps will appear as soon as you click “Create Array”.

Step #1: Select RAID mode

In this step, the “RAID mode” block will list all available RAID type according to the number of available free-disk. You may select one type by clicking corresponding item and go to next step by clicking “Next >>”.

Step #2: Select Controller & Creating Method

In this step, you can select a controller to create array. As soon as you select one controller, the disks you will select for this array will be limited on this controller.

 Also, you have to select the creation method in this step. Selecting “Auto”, the tool will select array disks for you, and you needn’t do anything. Selecting “Custom”, tool will list all available disks in the available disks list, and you have to select disks for the array manually.

 Of cause, you may adjust the selected disks manually in both cases.

Step #3: Select array disks

In this step, you have to select the disks for the array you are creating.

 To add a disk into array, please select an available disk from the left side list, then click [image] button (or press Right-Arrow key). The array disk's order in the Stripe disk array is the same order as it was added into the array.

To remove a disk from array, please click the array disk, then click [image] button (or press Left-Arrow key).

 Whenever a disk (array disk or available disk) is selected, its capacity and physical location will be shown in the bottom-left corner

Principles to select Stripe Array disk:
    1, Try to select disks in different channels. If you select 'Auto' array-creating method (see the “Select array disks” in step #3), application will do this for you. The physical location of the disks can be adjusted manually after the system shuts down.
    2, It should be taken into account that a disk whose capacity is too much different with other array disks should not be selected, or else the extra space on larger array disks will be wasted. The reason is that for each Stripe Array disk, its effective capacity (real capacity) will always be the smallest data capacity among all array disks
Step #4: Keep OS data information (Optional)

When you selected the disk on which the Operating System is running to create a RAID array, the following information will be prompted to inform you that tool will keep the OS disk data for you.

Step #5: Keep source data information (Optional)

If you didn’t select the disk on which the Operating System is running to create a RAID array, the following information will be prompted to allow you keeping the data on the source disk.

Step #6: Final confirmation

This is final step to create an array.

As soon as you click the “Next >>” button, the data on the hardware disk maybe destroyed permanently. So please do confirm your data, and backup the important data before clicking “Next >>” button. Once you click the “Next >>” button, you cannot go back to re-do this any longer.

Step #7: Successful Information

After finishing the Step#6, you haven’t any chance to re-do this creation. This step informs you that you have create an array successfully.

There are several possible steps following. For example, message boxes maybe pop up to ask for confirmation and prompt system reboot. System must be rebooted to enable the newly created Stripe array. Another example, message box maybe pop up to ask for migration.

Select Stripe Size for the Stripe Array

Refer to above Step#3, there is a drop-down list with the title 'Stripe Size' in the bottom-right corner. Stripe Size is the basic data block size used when writing data onto each stripe array disk. The principle of selecting Stripe Size is trying to balance most data Read/Write work onto all stripe disks, so that all stripe disks can work in parallel when Read/Write a data record is requested by the system. Therefore, the smaller the average system data record is, the smaller Stripe Size should be selected when create a Stripe Array. The default Stripe Size is 64k bytes.


Create Raid 0

Create RAID 0+1

RAID 0+1 is implemented as a mirrored array whose segments are RAID 0 arrays. It has the advantages both provided by RAID 0 (high I/O performance) and RAID 1 (fault tolerance).

At least four disks are needed to create a RAID 0+1 disk array.

To create a RAID0+1 disk array, click “Create Array" ( [image]) in the Operation block; and the following steps will guide you to finish this operation.

If the number of available free-disk is enough to create an array, the following steps will appear as soon as you click “Create Array”.

Step #1: Select RAID mode

In this step, the “RAID mode” block will list all available RAID type according to the number of available free-disk. You may select one type by clicking corresponding item and go to next step by clicking “Next >>”.

Step #2: Select Controller & Creating Method

In this step, you can select a controller to create array. As soon as you select one controller, the disks you will select for this array will be limited on this controller.

Also, you have to select the creation method in this step. Selecting “Auto”, the tool will select array disks for you, and you needn’t do anything. Selecting “Custom”, tool will list all available disks in the available disks list, and you have to select disks for the array manually.

Of cause, you may adjust the selected disks manually in both cases.

Step #3: Select array disks

In this step, you have to select the disks for the array you are creating. To add a disk into array, please select an available disk from the left side list, then click [image] button (or press Right-Arrow key). The array disk's order in the Stripe disk array is the same order as it was added into the array.

To remove a disk from array, please click the array disk, then click [image] button (or press Left-Arrow key).

Whenever a disk (array disk or available disk) is selected, its capacity and physical location will be shown in the bottom-left corner.

Principles to select RAID0+1 Array disk:

    1, Try to select disks in different channels. If you select 'Auto' array-creating method (see the “Select array disks” in step #3), application will do this for you. The physical location of the disks can be adjusted manually after the system shuts down.
    2,It should be taken into account that a disk whose capacity is too much different with other array disks should not be selected, or else the extra space on larger array disks will be wasted. The reason is that for each RAID0+1 Array disk, its effective capacity (real capacity) will always be the smallest data capacity among all array disks

Step #4: Final confirmation

This is final step to create an array.

As soon as you click the “Next >>” button, the data on the hardware disk maybe destroyed permanently. So please do confirm your data, and backup the important data before clicking “Next >>” button. Once you click the “Next >>” button, you cannot go back to re-do this any longer.

Step #5: Successful Information

After finishing the Step#4, you haven’t any chance to re-do this creation. This step informs you that you have create an array successfully.

There are several possible steps following. For example, message boxes maybe pop up to ask for confirmation and prompt system reboot. System must be rebooted to enable the newly created RAID0+1 array. Another example, message box maybe pop up to ask for synchronization.

Select Stripe Size for the RAID 0+1 Array

Refer to the above Step#3, there is a drop-down list with the title 'Stripe Size' in the bottom-right corner. Stripe Size is the basic data block size used when writing data onto each stripe array disk. The principle of selecting Stripe Size is trying to balance most data Read/Write work onto all stripe disks, so that all stripe disks can work in parallel when Read/Write a data record is requested by the system. Therefore, the smaller the average system data record is, the smaller Stripe Size should be selected when create a RAID 0+1 Array. The default Stripe Size is 64k bytes.


Create Span Array

Create Span Array (JBOD)

Span Array is also called JBOD (Just a Bunch Of Disks), which uses a bunch of disks as a larger disk. Span provides no fault tolerance and no I/O performance enhancement, it's just a measure to enlarge disk capacity.

To create a Span disk array, click “Create Array" ( [image]) in the Operation block; and the following steps will guide you to finish this operation.

If the number of available free-disk is enough to create an array, the following steps will appear as soon as you click “Create Array”.

Step #1: Select RAID mode

In this step, the “RAID mode” block will list all available RAID type according to the number of available free-disk. You may select one type by clicking corresponding item and go to next step by clicking “Next >>”.

Step #2: Select Controller & Creating Method

In this step, you can select a controller to create array. As soon as you select one controller, the disks you will select for this array will be limited on this controller.

Also, you have to select the creation method in this step. Selecting “Auto”, the tool will select array disks for you, and you needn’t do anything. Selecting “Custom”, tool will list all available disks in the available disks list, and you have to select disks for the array manually.

Of cause, you may adjust the selected disks manually in both cases.

Step #3: Select array disks

In this step, you have to select the disks for the array you are creating.

To add a disk into array, please select an available disk from the left side list, then click ( [image]) button (or press Right-Arrow key). The array disk's order in the Stripe disk array is the same order as it was added into the array.

To remove a disk from array, please click the array disk, then click ( [image]) button (or press Left-Arrow key).

Whenever a disk (array disk or available disk) is selected, its capacity and physical location will be shown in the bottom-left corner

Principles to select Span Array disk:

    1, There are no special principles when select Span array disks.

Step #4: Keep OS data information (Optional)

When you select the disk on which the Operating System is running to create a RAID array, the following information will be prompted to inform you that tool will keep the OS disk data for you.

Step #5: Keep source data information (Optional)

If you didn’t select the disk on which the Operating System is running to create a RAID array, the following information will be prompted to allow you keeping the data on the source disk.

Step #6: Final confirmation

This is final step to create an array.

As soon as you click the “Next >>” button, the data on the hardware disk maybe destroyed permanently. So please do confirm your data, and backup the important data before clicking “Next >>” button. Once you click the “Next >>” button, you cannot go back to re-do this any longer.

Step #7: Successful Information

After finishing the Step#6, you haven’t any chance to re-do this creation. This step informs you that you have create an array successfully.

Message boxes maybe pop up to ask for confirmation and prompt system reboot. System must be rebooted to enable the newly created Span array.


Create RAID5 Array

RAID5 Array uses block-level striping with parity data distributed across all member disks. It requires a minimum of 3 disks to implement. It has highest read data transaction rate and medium write data transaction rate. When one of the disks in RAID5 failed, the data in RAID5 can also be accessed, and the broken RAID5 disk array can be repaired with a new disk.

 To create a RAID5 disk array, click “Create Array” ( [image]) in the Operation block; and the following steps will guide you to finish this operation.

If the number of available free-disk is enough to create an array, the following steps will appear as soon as you click “Create Array”.

Step #1: Select RAID mode

 In this step, the “RAID mode” block will list all available RAID type according to the number of available free-disk. You may select one type by clicking corresponding item and go to next step by clicking “Next >>”.

Step #2: Select Controller & Creating Method

In this step, you can select a controller to create array. As soon as you select one controller, the disks you will select for this array will be limited on this controller.

 Also, you have to select the creation method in this step. Selecting “Auto”, the tool will select array disks for you, and you needn’t do anything. Selecting “Custom”, tool will list all available disks in the available disks list, and you have to select disks for the array manually.

 Of cause, you may adjust the selected disks manually in both cases.

Step #3: Select array disks

 In this step, you have to select the disks for the array you are creating.

 To add a disk into array, please select an available disk from the left side list, then click [image] button (or press Right-Arrow key). The array disk's order in the Stripe disk array is the same order as it was added into the array.

 To remove a disk from array, please click the array disk, then click [image] button (or press Left-Arrow key).

 Whenever a disk (array disk or available disk) is selected, its capacity and physical location will be shown in the bottom-left corner.

Principles to select RAID5 Array disk:
    1, Try to select disks in different channels. If you select 'Auto' array-creating method (see the “Select array disks” in step #3), application will do this for you. The physical location of the disks can be adjusted manually after the system shuts down.
    2, It should be taken into account that a disk whose capacity is too much different with other array disks should not be selected, or else the extra space on larger array disks will be wasted. The reason is that for each RAID5 Array disk, its effective capacity (real capacity) will always be the smallest data capacity among all array disks.
    3, To create a RAID5 disk array, you must select at least 3 disks.
Step #4: Keep OS data information (Optional)

 When you select the disk on which the Operating System is running to create a RAID array, the following information will be prompted to inform you that tool will keep the OS disk data for you.

Step #5: Keep source data information (Optional)

If you didn’t select the disk on which the Operating System is running to create a RAID array, the following information will be prompted to allow you keeping the data on the source disk.

Step #6: Final confirmation

 This is final step to create an array.

 As soon as you click the “Next >>” button, the data on the hardware disk maybe destroyed permanently. So please do confirm your data, and backup the important data before clicking “Next >>” button. Once you click the “Next >>” button, you cannot go back to re-do this any longer.

Step #7: Successful Information

After finishing the Step#6, you haven’t any chance to re-do this creation. This step informs you that you have create an array successfully.

 There are several possible steps following. For example, message boxes maybe pop up to ask for confirmation and prompt system reboot. System must be rebooted to enable the newly created RAID5 array. Another example, message box maybe pop up to ask for migration.


Remove Disk Array

To remove a disk array, you can click on “Remove Array” ( [image]) in the Operation block.

If there are existing arrays in the current system, the “Remove Array” wizard will guide you to finish this operation in 3 steps.

Step #1: Select an Array

Step #2: Final confirmation

Step #3: Successful Information

You can also select the array's root node in Array View/ Tree, right click the array node and click Remove Array on the shortcut menu, refer to following:

Message boxes will then pop up to ask for confirmation and prompt system reboot. System must be rebooted to actually delete a disk array.


Add

Add/Remove Spare Disk

Spare disk is the auto-selected replacement disk when repairing a broken Mirror (RAID 1) array. Only Mirror array can have a Spare disk. A Spare disk can be added when Creating a Mirror array, it can also be added or removed after a Mirror array is created.

To Add/ Remove Spare to/ from an existing Mirror array, you can click “Add/ Remove Spare” ( [image]) in the Operation block.

If there are Mirror arrays in the current system, the “Add/ Remove Spare” wizard will guide you to finish this operation step by step.

Step #1: Select an Mirror Array

If Mirror array selected has no Spare disk yet, wizard will go to the Step#2 to select a free-disk to be added as the spare disk.

Figure: Add Spare

If Mirror array selected has Spare disk already, wizard will skip to the Step#3 to confirm if you really want to remove the Spare disk.

Figure: Remove Spare

Step #2: Select Spare Disk

Select a free-disk to be added as the Spare disk, then go to the Step#3.

All qualified free disks attached on the RAID controller will be listed in this step (Note: In order to be a qualified Spare disk, a free disk's data capacity must be larger than or equal to the smaller capacity of the Source and Mirror disk in the current Mirror array. Application will pick out all qualified free disks automatically).

Figure: Add Spare

Step #3: Final confirmation

This is the final step to add/ remove Spare disk to/ from Mirror array.

Figure: Remove Spare

Figure: Add Spare

If Mirror array selected has no Spare disk, as soon as you click “Next >>” in this step, the data on the free-disk you selected will be destroyed.

Step #4: Successful Information

Figure: Remove Spare

Figure: Add Spare

You can also shift the top-left block of main application window to Array View/Tree, select the upper-most level tree node of the RAID 1 array and right click the array node and click Add/Remove Spare on the pop-up shortcut menu.

To remove a Spare disk, you can also right click the Spare disk in Array View, then click Add/Remove Spare on the shortcut menu, as following picture shows:


Synchronize Mirror Disk

For RAID 1 (Mirror Array) and RAID 0+1, to provide fault tolerance, useful data on all Mirror disks must be identical with the corresponding Source disks. This can be guaranteed by directly synchronizing Mirror disks with Source disks.

Sometimes data on the Mirror disk maybe newer than Source disk, for example, when Source disk is absent and the Mirror disk runs in the tolerance mode. So, the exact meaning of Synchronize Mirror is to make a pair of Source and Mirror disks have identical data. Synchronize Mirror does not mean data on the Source disk is always newer, so the data copy direction is not always from Source disk to Mirror disk. During synchronization, the Synchronize Mirror dialog will show the real data copy direction. Although the Mirror disk may have more updated data, VIA V-RAID always mark the Mirror disk with a special icon [image] when it find a pair of Source and Mirror disks do not have identical data.

To synchronize a Mirror disk with corresponding Source disk, you can right click the Mirror disk in Array View, and then click Synchronize Mirror on the shortcut menu, as following picture shows:

You can also right click the root node of a RAID1 or RAID0+1 array, then execute Synchronize Mirror or Synchronize All Mirror Disks from the shortcut menu, as following pictures show:

After synchronization has started, a dialog will appear to show the information about the current Source-Mirror disk pair being synchronized, and the progress of current sync operation:

The sync process can be paused or canceled at any time. The starting and completing of a sync operation will be recorded in the event log, like following


Repair Broken Array

A disk array is broken when any of its disk members could not function properly. The only exception is the Spare disk of a RAID 1. Since Spare disk only acts as a replacement disk in case of Source or Mirror disk failure, the malfunction of a Spare disk doesn't affect the normal operation of a RAID 1 disk array. In other words, the failure of a Spare disk doesn't break a RAID 1 disk array. Besides Spare disk, any array disk failure will cause a disk array broken.

There exists a special array disk failure: the absence of an array disk. If a disk array is broken because of an absent/missing array disk, simply plug it back and the broken array will be fixed.

Both Stripe (RAID 0) array and Span (JBOD) array provide no data redundancy, hence in case of an array disk failure (disk exist but failed or disk can not be found), the disk array will be broken and can never be repaired. So for these two types of disk array, backing up data is a must in case of an array broken situation.

Both Mirror (RAID 1) array and RAID 0+1 array provide 100% data redundancy. So if one disk in a Source-Mirror pair fails, we can use a replacement disk to rebuild the failed one by duplicating the left disk in this Source-Mirror disk pair. But if both disks in a Source-Mirror pair failed (disk exist but failed or disk can not be found), the disk array will then be totally broken and can never be repaired.

For Mirror (RAID 1) array, if it has a Spare disk and the Spare disk is ok, application will use the Spare disk to repair the broken Mirror array. For example, use the Spare disk to replace the failed Source or Mirror disk. If the Mirror array has no Spare disk, application will search for a qualified (large enough) free disk attached on the RAID controller, and use it to replace the failed array disk.

For fixing a broken RAID 0+1 array, application will search for a qualified (large enough) free disk attached on the RAID controller, and use it to replace the failed array disk, just like repairing a broken Mirror (RAID 1) array without a Spare disk.

To use the VIA RAID Tool for repairing a broken disk array, just right click the broken array's root node in Array View, execute the Repair Broken Array command on the shortcut menu and then follow the steps in array-repairing wizard. Please refer to the following picture:

To pay attention, after replacing a failed source or mirror disk in the wizard, you should synchronize the new Source-Mirror disk pair. For how to synchronize a mirror disk, please refer to Synchronize Mirror Disk .


Check All Disks

At any time, you can check if all hard disks work normally by executing the Check All Disks command.

To execute the command, you can click on “Check All disks” ( [image]) in the Operation block.

When you click the button, as following pictures will show step by step:
If you want the get the detail smart data of you hard disks, you can check the "Advanced" button and click Next.

In addition, by checking the "Verify" check-box of each item, you can verify your physical hard-disks to find bad tracks. If any bad track is found, the result("Found Bad Tracks") will display in the column of "Disk Status" of Check Result.
Furthermore, you can view the history of Verify by clicking "Verify History" button.
This function can help you to check the track status of your physical hard-disk.

You can get the detail parameters of the Hard Disk. The data will be recorded in a file, and you can get the data including the history data by clicking "SMART History" button.

Also, you can read the current data by clicking "Advanced Logs" button.

Note:
The "Advanced" function of "Check All Disks" is not supported on Windows 98/Me and Windows NT4. And you will get the following steps on these OS.

The "Verify" function of "Check All Disks" is not supported on Windows 98/Me and Windows NT4. And you will get the following steps on these OS.


View Event Log

VIA V-RAID record important events into a log file, such as Disk Array Creation/ Removal, Disk Failure, Synchronization...etc.

To view the log, you can click on “View Event Log” ( [image]) in the Operation block.

There are three types of log items: Information( [image] ), Warning( [image] ), Error( [image] ).

To view details of any log item, you can select one item; its details will be displayed in the bottom area on this page.

 You can clear all log items by clicking “Clear” button.


VIA V-RAID Help

You can open this VIA V-RAID help file by clicking “VIA V-RAID Help” ( [image]) in the Operation block. You can also press F1 to open this file.


Rescan Array Status

This function is used to scan the array status of existing disk arrays. To see status of the existing arrays, you can click “Rescan Array Status” ( [image]) in the Operation Block. If there are some disk arrays in current system, the array status summary will be listed in the Information Block.


Array and Device Status

Disk Array and Device (mean Disk here) may have different statuses, such as warning, error, need sync, need reboot...etc. VIA RAID Tool uses various icons to imply these different statuses. Detail status information is displayed in right pane of the application window when a disk array or disk is selected in left pane, following is an example (a disk array with broken status):

Following table lists all possible array and device icons, as well as the status these icons represent:

 Normal disk array

Disk array with warning status

Broken disk array

Normal array disk

Absent array disk

Array disk with error

Array disk with warning status

The pair of Source and Mirror disks should be synchronized ( note: data on the Mirror disk maybe newer, although only a Mirror disk may have this look )

Array disk which need system reboot to enable its function ( note: may also has other statuses, refer to the status description in application window's right pane for details )